singleton Material(pigeon)
{
    mapTo = "pigeon";
    diffuseMap[2] = "vehicles/pigeon/pigeon_c.dds";
    specularMap[2] = "vehicles/pigeon/pigeon_s.dds";
    normalMap[2] = "vehicles/pigeon/pigeon_n.dds";
    diffuseMap[1] = "vehicles/pigeon/pigeon_d.dds";
    specularMap[1] = "vehicles/pigeon/pigeon_s.dds";
    normalMap[1] = "vehicles/pigeon/pigeon_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/pigeon_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pigeon_box)
{
    mapTo = "pigeon_box";
    diffuseMap[2] = "vehicles/pigeon/pigeonbox_c.dds";
    specularMap[2] = "vehicles/pigeon/pigeonbox_s.dds";
    normalMap[2] = "vehicles/pigeon/pigeonbox_n.dds";
    diffuseMap[1] = "vehicles/pigeon/pigeonbox_d.dds";
    specularMap[1] = "vehicles/pigeon/pigeonbox_s.dds";
    normalMap[1] = "vehicles/pigeon/pigeonbox_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/pigeonbox_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pigeon_interior)
{
    mapTo = "pigeon_interior";
    diffuseMap[0] = "pigeon_interior_d.dds";
    specularMap[0] = "pigeon_interior_s.dds";
    normalMap[0] = "pigeon_interior_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(pigeon_glass)
{
    mapTo = "pigeon_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/pigeon/pigeon_glass_d.dds";
    opacityMap[0] = "vehicles/pigeon/pigeon_glass_d.dds";
    diffuseMap[1] = "vehicles/pigeon/pigeon_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pigeon_glass_int)
{
    mapTo = "pigeon_glass_int";
    diffuseMap[0] = "vehicles/pigeon/pigeon_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pigeon_glass_dmg)
{
    mapTo = "pigeon_glass_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/pigeon/pigeon_glass_d.dds";
    opacityMap[0] = "vehicles/pigeon/pigeon_glass_d.dds";
    diffuseMap[1] = "vehicles/pigeon/pigeon_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pigeon_lights)
{
    mapTo = "pigeon_lights";
    diffuseMap[1] = "vehicles/pigeon/pigeon_lights_d.dds";
    specularMap[1] = "vehicles/pigeon/pigeon_lights_s.dds";
    normalMap[1] = "vehicles/pigeon/pigeon_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/pigeon_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pigeon_lights_dmg)
{
    mapTo = "pigeon_lights_dmg";
    diffuseMap[1] = "vehicles/pigeon/pigeon_lights_dmg_d.dds";
    specularMap[1] = "vehicles/pigeon/pigeon_lights_dmg_s.dds";
    normalMap[1] = "vehicles/pigeon/pigeon_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/pigeon_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pigeon_lights_on)
{
    mapTo = "pigeon_lights_on";
    diffuseMap[2] = "vehicles/pigeon/pigeon_lights_g.dds";
    specularMap[2] = "vehicles/pigeon/pigeon_lights_s.dds";
    normalMap[2] = "vehicles/pigeon/pigeon_lights_n.dds";
    diffuseMap[1] = "vehicles/pigeon/pigeon_lights_d.dds";
    specularMap[1] = "vehicles/pigeon/pigeon_lights_s.dds";
    normalMap[1] = "vehicles/pigeon/pigeon_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/pigeon_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pigeon_lights_on_intense)
{
    mapTo = "pigeon_lights_on_intense";
    diffuseMap[2] = "vehicles/pigeon/pigeon_lights_g.dds";
    specularMap[2] = "vehicles/pigeon/pigeon_lights_s.dds";
    normalMap[2] = "vehicles/pigeon/pigeon_lights_n.dds";
    diffuseMap[1] = "vehicles/pigeon/pigeon_lights_d.dds";
    specularMap[1] = "vehicles/pigeon/pigeon_lights_s.dds";
    normalMap[1] = "vehicles/pigeon/pigeon_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/pigeon_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.20";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pigeon_gauges)
{
    mapTo = "pigeon_gauges";
    diffuseMap[0] = "pigeon_gauges_d.dds";
    specularMap[0] = "pigeon_gauges_s.dds";
    normalMap[0] = "pigeon_gauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(pigeon_gauges_on)
{
    mapTo = "pigeon_gauges_on";
    diffuseMap[1] = "pigeon_gauges_d.dds";
    specularMap[1] = "pigeon_gauges_s.dds";
    normalMap[1] = "pigeon_gauges_n.dds";
    diffuseMap[0] = "pigeon_gauges_d.dds";
    specularMap[0] = "pigeon_gauges_s.dds";
    normalMap[0] = "pigeon_gauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.5 1.7 1.2 1";
};

singleton Material(pigeon_600)
{
   mapTo = "pigeon_600";
    diffuseMap[1] = "pigeon_engine_600_d.dds";
    specularMap[1] = "pigeon_engine_600_s.dds";
    normalMap[1] = "pigeon_engine_600_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "pigeon_engine_600_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "object";
};

singleton Material(pigeon_signal_L)
{
    mapTo = "pigeon_signal_L";
};

singleton Material(pigeon_signal_R)
{
    mapTo = "pigeon_signal_R";
};

singleton Material(pigeon_taillight_R)
{
    mapTo = "pigeon_taillight_R";
};

singleton Material(pigeon_taillight_L)
{
    mapTo = "pigeon_taillight_L";
};

singleton Material(pigeon_headlight)
{
    mapTo = "pigeon_headlight";
};

singleton Material(pigeon_reverselight)
{
    mapTo = "pigeon_reverselight";
};

singleton Material(pigeon_bin)
{
    mapTo = "pigeon_bin";
    diffuseMap[0] = "garbage_d.dds";
    normalMap[0] = "garbage_n.dds";
    specularMap[0] = "garbage_s.dds";
    specularPower[0] = "8";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng";
    materialTag1 = "Utah";
    specular[0] = "1 1 1 1";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material("pigeon.skin.streetcleaning")
{
    mapTo = "pigeon.skin.streetcleaning";
    overlayMap[2] = "vehicles/pigeon/pigeon_skin_streetcleaning.dds";
    diffuseMap[2] = "vehicles/pigeon/pigeon_c.dds";
    specularMap[2] = "vehicles/pigeon/pigeon_s.dds";
    normalMap[2] = "vehicles/pigeon/pigeon_n.dds";
    diffuseMap[1] = "vehicles/pigeon/pigeon_d.dds";
    specularMap[1] = "vehicles/pigeon/pigeon_s.dds";
    normalMap[1] = "vehicles/pigeon/pigeon_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/pigeon_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pigeon_box.skin.streetcleaning")
{
    mapTo = "pigeon_box.skin.streetcleaning";
    overlayMap[2] = "vehicles/pigeon/pigeon_skin_streetcleaning.dds";
    diffuseMap[2] = "vehicles/pigeon/pigeonbox_c.dds";
    specularMap[2] = "vehicles/pigeon/pigeonbox_s.dds";
    normalMap[2] = "vehicles/pigeon/pigeonbox_n.dds";
    diffuseMap[1] = "vehicles/pigeon/pigeonbox_d.dds";
    specularMap[1] = "vehicles/pigeon/pigeonbox_s.dds";
    normalMap[1] = "vehicles/pigeon/pigeonbox_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/pigeonbox_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pigeon.skin.flames")
{
    mapTo = "pigeon.skin.flames";
    overlayMap[2] = "vehicles/pigeon/pigeon_skin_flames.dds";
    diffuseMap[2] = "vehicles/pigeon/pigeon_c.dds";
    specularMap[2] = "vehicles/pigeon/pigeon_s.dds";
    normalMap[2] = "vehicles/pigeon/pigeon_n.dds";
    diffuseMap[1] = "vehicles/pigeon/pigeon_d.dds";
    specularMap[1] = "vehicles/pigeon/pigeon_s.dds";
    normalMap[1] = "vehicles/pigeon/pigeon_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/pigeon_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pigeon_box.skin.flames")
{
    mapTo = "pigeon_box.skin.flames";
    overlayMap[2] = "vehicles/pigeon/pigeon_skin_flames.dds";
    diffuseMap[2] = "vehicles/pigeon/pigeonbox_c.dds";
    specularMap[2] = "vehicles/pigeon/pigeonbox_s.dds";
    normalMap[2] = "vehicles/pigeon/pigeonbox_n.dds";
    diffuseMap[1] = "vehicles/pigeon/pigeonbox_d.dds";
    specularMap[1] = "vehicles/pigeon/pigeonbox_s.dds";
    normalMap[1] = "vehicles/pigeon/pigeonbox_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/pigeonbox_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
